Skip to main content
`Ctrl`+`K`

# PetscGetHostName

Returns the name of the host. This attempts to return the entire Internet name. It may not return the same name as `MPI_Get_processor_name()`.

## Synopsis

    PetscErrorCode PetscGetHostName(char name[], size_t nlen)

Not Collective

## Input Parameter

- nlen - length of name

## Output Parameter

- name - contains host name. Must be long enough to hold the name This is the fully qualified name, including the domain.

## Fortran Note

      character*(128) name
      call PetscGetHostName(name,ierr)

## See Also

`PetscGetUserName()`, `PetscGetArchType()`

## Level

developer

## Location

src/sys/utils/fhost.c

## Examples

src/mat/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages